<?page title="Purchase Order" contentType="text/html;charset=UTF-8"?>
<zk>
	<window title="Purchase Order" border="normal"
		apply="org.zkoss.bind.BindComposer"
		viewModel="@id('vm') @init('vmd.TrxPoVmd')">
		<hlayout>
			<button label="Add" onClick="@command('add')"></button>
			<button label="Edit" onClick="@command('edit')"></button>
			<button label="Delete" onClick="@command('delete')"></button>
		</hlayout>
		<space></space>
		<div align="left">
			<hlayout>
				<textbox value="@bind(vm.search)"
					onOK="@command('search')">
				</textbox>
				<button label="Search" onClick="@command('search')"></button>
			</hlayout>
		</div>
		<separator></separator>
		<listbox model="@load(vm.listPo)" mold="paging" pagingPosition="bottom" pageSize="10"
			emptyMessage="No Data" selectedItem="@bind(vm.dtoPo)">
			<listhead>
				<listheader label="PO No" style="text-align:center"></listheader>
				<listheader label="Supplier Name"
					style="text-align:center">
				</listheader>
				<listheader label="PO Date" style="text-align:center"></listheader>
				<listheader label="Total" style="text-align:center"></listheader>
			</listhead>
			<template name="model">
				<listitem>
					<listcell label="@load(each.poNo)"></listcell>
					<listcell label="@load(each.supName)"></listcell>
					<listcell
						label="@load(each.poDate) @converter('formatedDate', format='dd-MMM-yyyy')">
					</listcell>
					<listcell
						label="@load(each.total) @converter('formatedNumber', format='#,##0.##')"
						style="text-align:right">
					</listcell>
				</listitem>
			</template>
		</listbox>
	</window>
</zk>